A managed, cloud-native solution to move data in and out of Google Cloud by using SSH File Transfer Protocol (SFTP).
- REST Resource: v1.projects.locations
- REST Resource: v1.projects.locations.operations
- REST Resource: v1.projects.locations.servers
- REST Resource: v1.projects.locations.servers.users
Service: ftp.googleapis.com
To call this service, we recommend that you use the Google-provided client libraries. If your application needs to use your own libraries to call this service, use the following information when you make the API requests.
Discovery document
A Discovery Document is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:
Service endpoint
A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:
https://ftp.googleapis.com
REST Resource: v1.projects.locations
| Methods | |
|---|---|
get |
GET /v1/{name=projects/*/locations/*} Gets information about a location. |
list |
GET /v1/{name=projects/*}/locations Lists information about the supported locations for this service. |
REST Resource: v1.projects.locations.operations
| Methods | |
|---|---|
cancel |
POST /v1/{name=projects/*/locations/*/operations/*}:cancel Starts asynchronous cancellation on a long-running operation. |
delete |
DELETE /v1/{name=projects/*/locations/*/operations/*} Deletes a long-running operation. |
get |
GET /v1/{name=projects/*/locations/*/operations/*} Gets the latest state of a long-running operation. |
list |
GET /v1/{name=projects/*/locations/*}/operations Lists operations that match the specified filter in the request. |
REST Resource: v1.projects.locations.servers
| Methods | |
|---|---|
create |
POST /v1/{parent=projects/*/locations/*}/servers Creates a new Server in a given project and location. |
delete |
DELETE /v1/{name=projects/*/locations/*/servers/*} Deletes a single Server. |
get |
GET /v1/{name=projects/*/locations/*/servers/*} Gets details of a single Server. |
list |
GET /v1/{parent=projects/*/locations/*}/servers Lists Servers in a given project and location. |
patch |
PATCH /v1/{server.name=projects/*/locations/*/servers/*} Updates the parameters of a single Server. |
start |
POST /v1/{name=projects/*/locations/*/servers/*}:start Starts a stopping/stopped Server. |
stop |
POST /v1/{name=projects/*/locations/*/servers/*}:stop Stops an active Server. |
REST Resource: v1.projects.locations.servers.users
| Methods | |
|---|---|
create |
POST /v1/{parent=projects/*/locations/*/servers/*}/users Creates a new User in a given project and location and Server. |
delete |
DELETE /v1/{name=projects/*/locations/*/servers/*/users/*} Deletes a single User. |
get |
GET /v1/{name=projects/*/locations/*/servers/*/users/*} Gets details of a single User. |
list |
GET /v1/{parent=projects/*/locations/*/servers/*}/users Lists Users in a given project and location. |
patch |
PATCH /v1/{user.name=projects/*/locations/*/servers/*/users/*} Updates the parameters of a single User. |